/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_bozo_sort.c                                     :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angouleme.fr  +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/12/09 14:24:03 by cchauvet          #+#    #+#             */
/*   Updated: 2022/12/09 15:21:17 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "pushswap.h"

void	ft_bozo_sort(t_tab tab_a, t_tab tab_b)
{
	if (ft_is_sorted(tab_a))
		return ;
	while (ft_tablen(tab_a) > 2)
	{
		while (tab_a[0] > 1 && ft_tablen(tab_a) != 3)
			ft_ra(tab_a);
		ft_pb(tab_a, tab_b);
	}
	if (!ft_is_sorted(tab_a))
		ft_ra(tab_a);
	ft_pa(tab_a, tab_b);
	if (!ft_is_sorted(tab_a))
		ft_rra(tab_a);
	if (ft_tablen(tab_b) > 1)
		if (ft_is_sorted(tab_b))
			ft_rb(tab_b);
	while (ft_tablen(tab_b) != 0)
		ft_pa(tab_a, tab_b);
}
